Bug 41339 - Javadoc of PatternLayout should use %n in TTCC layout examples
Javadoc of PatternLayout should use %n in TTCC layout examples
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
1.2
All other
: P2 minor
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-01-10 06:08 UTC by Martin Burger
Modified: 2007-02-22 15:40 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Burger 2007-01-10 06:08:49 UTC
The Javadoc if class PatternLayout gives two examples of conversion patterns:

%r [%t] %-5p %c %x - %m\n

and

%-6r [%15.15t] %-5p %30.30c %x - %m\n

In table "Conversion Character - Effect" you describe the character n that
"outputs the platform dependent line separator character or characters".

But in the examples aboce, you use a non-portable line separator string.
Comment 1 Elias Ross 2007-01-26 17:18:12 UTC
Fixed in SVN trunk
Comment 2 Curt Arnold 2007-01-30 13:25:44 UTC
Committed by eross for log4j/trunk in rev 500445.

Should be reviewed for log4j 1.2.
Comment 3 Curt Arnold 2007-02-22 15:40:18 UTC
Committed in rev 510710 against log4j 1.2 branch.